package com.ccnode.codegenerator.view;

package .tmp;

import com.ccnode.codegenerator.G.a;
import com.ccnode.codegenerator.G.c;
import com.ccnode.codegenerator.a.a;
import com.ccnode.codegenerator.ae.f;
import com.ccnode.codegenerator.ae.i;
import com.ccnode.codegenerator.ae.p;
import com.ccnode.codegenerator.ah.a.a;
import com.ccnode.codegenerator.mybatisGenerator.i;
import com.ccnode.codegenerator.z.a;
import com.intellij.codeInsight.CodeInsightUtil;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.actionSystem.CommonDataKeys;
import com.intellij.openapi.project.DumbAware;
import com.intellij.openapi.project.Project;
import com.intellij.openapi.ui.Messages;
import com.intellij.openapi.vfs.VirtualFileManager;
import com.intellij.psi.PsiElement;
import com.intellij.psi.PsiFile;
import com.intellij.psi.xml.XmlFile;
import java.io.File;
import java.io.IOException;
import java.sql.SQLException;
import java.util.ArrayList;
import kotlin.Metadata;
import kotlin.jvm.internal.Intrinsics;
import org.jetbrains.annotations.NotNull;
import org.mybatis.generator.api.MyBatisGenerator;
import org.mybatis.generator.api.ShellCallback;
import org.mybatis.generator.config.Configuration;
import org.mybatis.generator.config.xml.ConfigurationParser;
import org.mybatis.generator.exception.InvalidConfigurationException;
import org.mybatis.generator.exception.XMLParserException;

@Metadata(mv = {1, 9, 0}, k = 1, xi = 48, d1 = {"\000\036\n\002\030\002\n\002\030\002\n\002\030\002\n\002\b\002\n\002\020\002\n\000\n\002\030\002\n\002\b\003\030\000 \t2\0020\0012\0020\002:\001\tB\005¢\006\002\020\003J\020\020\004\032\0020\0052\006\020\006\032\0020\007H\026J\020\020\b\032\0020\0052\006\020\006\032\0020\007H\026¨\006\n"}, d2 = {"Lcom/ccnode/codegenerator/view/MybatisGeneratorAction;", "Lcom/ccnode/codegenerator/action/BaseBGTAction;", "Lcom/intellij/openapi/project/DumbAware;", "()V", "actionPerformed", "", "e", "Lcom/intellij/openapi/actionSystem/AnActionEvent;", "update", "Companion", "MyBatisCodeHelper-Pro241"})
public final class x extends a implements DumbAware {
  public x() {
    super(p.d());
  }
  
  public void actionPerformed(@NotNull AnActionEvent paramAnActionEvent) {
    Intrinsics.checkNotNullParameter(paramAnActionEvent, "");
    boolean bool = a.a(paramAnActionEvent.getProject());
    if (!bool)
      return; 
    VirtualFileManager.getInstance().syncRefresh();
    PsiFile psiFile1 = (PsiFile)paramAnActionEvent.getData(CommonDataKeys.PSI_FILE);
    if (psiFile1 == null || !(psiFile1 instanceof XmlFile))
      return; 
    XmlFile xmlFile = (XmlFile)psiFile1;
    xmlFile.getVirtualFile().refresh(false, false);
    Intrinsics.checkNotNullExpressionValue(xmlFile.getVirtualFile().getPath(), "");
    String str = xmlFile.getVirtualFile().getPath();
    ArrayList arrayList = new ArrayList();
    File file = new File(str);
    ConfigurationParser configurationParser = new ConfigurationParser(arrayList);
    Configuration configuration = null;
    try {
      configuration = configurationParser.parseConfiguration(file);
    } catch (IOException iOException) {
      Messages.showErrorDialog(paramAnActionEvent.getProject(), i.a.a(iOException), "parse config file error");
      return;
    } catch (XMLParserException xMLParserException) {
      Messages.showErrorDialog(paramAnActionEvent.getProject(), i.a.a((Exception)xMLParserException), "parse config file error");
      return;
    } 
    Project project = (Project)paramAnActionEvent.getData(CommonDataKeys.PROJECT);
    i i = new i(project, true, null, null);
    MyBatisGenerator myBatisGenerator = null;
    try {
      Intrinsics.checkNotNull(configuration);
      myBatisGenerator = new MyBatisGenerator(configuration, (ShellCallback)i, arrayList);
    } catch (InvalidConfigurationException invalidConfigurationException) {
      Messages.showErrorDialog(paramAnActionEvent.getProject(), i.a.a((Exception)invalidConfigurationException), "config error");
      return;
    } 
    a.a("using mybatis generator based on xml");
    try {
      myBatisGenerator.generate(null);
    } catch (SQLException sQLException) {
      Messages.showErrorDialog(paramAnActionEvent.getProject(), i.a.a(sQLException), "error");
      return;
    } catch (IOException iOException) {
      Messages.showErrorDialog(paramAnActionEvent.getProject(), i.a.a(iOException), "error");
      return;
    } catch (InterruptedException interruptedException) {
      Messages.showErrorDialog(paramAnActionEvent.getProject(), i.a.a(interruptedException), "error");
      return;
    } 
    Intrinsics.checkNotNull(paramAnActionEvent.getProject());
    PsiFile psiFile2 = a.a.a(paramAnActionEvent.getProject(), i.a());
    if (psiFile2 != null) {
      Intrinsics.checkNotNull(paramAnActionEvent.getProject());
      CodeInsightUtil.positionCursor(paramAnActionEvent.getProject(), psiFile2, (PsiElement)psiFile2);
    } 
    VirtualFileManager.getInstance().syncRefresh();
    if (f.a(arrayList)) {
      Messages.showInfoMessage(paramAnActionEvent.getProject(), "generate success", 
          "success");
    } else {
      String str1 = "";
      for (String str2 : arrayList)
        str1 = str1 + str1 + "\n"; 
      Messages.showInfoMessage(paramAnActionEvent.getProject(), str1, "warning");
    } 
  }
  
  public void update(@NotNull AnActionEvent paramAnActionEvent) {
    Intrinsics.checkNotNullParameter(paramAnActionEvent, "");
    PsiFile psiFile = (PsiFile)paramAnActionEvent.getData(CommonDataKeys.PSI_FILE);
    if (psiFile == null || !(psiFile instanceof XmlFile))
      paramAnActionEvent.getPresentation().setVisible(false); 
  }
  
  @NotNull
  public static final a a = new a(null);
  
  @NotNull
  private static final a a = c.a.a(com.ccnode.codegenerator.view.x.class);
}
